阿里云
社区时光机
发表主题 回复主题
  • 3698阅读
  • 5回复

[教程]Ubuntu 下为单版本和多版本 PHP 安装扩展

级别: 论坛版主
发帖
9289
云币
14032
— 本帖被 不靠谱贝贝 设置为精华(2017-08-30) —
B4y_{V  
0~U#DTx0  
介绍 t]h_w7!U  
4fi4F1f  
UD-+BUV  
尽管 PHP 软件源提供了不少 PHP 扩展,但并不是提供所有的扩展,那么如果我们需要安装一个软件源没有提供的扩展应该怎么办 QLJ\>  
利用 php-dev 就可以很方便的进行行编译 PHP 扩展了。不过如果有使用 PHP 多版本共存就会更加麻烦一点。 9<gW~ s>  
w){B$X  
单一PHP eKiDc=@  
ctP+ECH  
Cog}a  
一、安装 php-dev ,如果不是 7.1 需要自己修改一下版本号:
  1. apt install php7.1-dev
o@)Fy51DD  
?/.])'&b  
二、以安装 Swoole 为例:
  1. pecl install swoole
m6i ,xn  
2XR!2_)O5  
三、添加配置文件: T\gs  
  1. cd /etc/php/7.1/fpm/conf.d/
  2. touch swoole.ini
  3. echo "extension=swoole.so" | tee -a swoole.ini
iHv+I~/  
jkk%zu  
U^_\V BAk  
四、重启 php-fpm 即可:
  1. systemctl restart php7.1-fpm
2hHRitt36  
^&;,n.X5Z  
;mpYcpI  
多PHP共存 mZiKA-t  
ef'kG"1  
ep8UWxB5  
因为多个 PHP 就不能简单粗暴的使用 pecl 安装了,因为安装好了不知道是给谁用的。这里以 PHP7.1 和 PHP5.6 为例,还是 swoole。 o33t~@RX  
一、安装 php-dev:
  1. apt install php7.1-dev php5.6-dev
fq>{5ODO  
a j4ZS  
二、下载 swoole 源码 ,地址:http://pecl.php.net/package/swoole vd%AV(]<LJ  
ndFVP;q  
x_3B) &9  
  1. cd /root/src
  2. wget http://pecl.php.net/get/swoole-1.9.15.tgz
  3. tar xzf swoole-1.9.15.tgz
  4. cd swoole-1.9.15
+(!/(2>~  
^|<>`i6  
|Ua);B~F  
三、为 PHP7.1 进行编译 ~C{:G;Iy0  
  1. cd /root/src/swoole-1.9.15
  2. /usr/bin/phpize7.1
  3. ./configure --with-php-config=/usr/bin/php-config7.1
  4. make && make install
S:z|"u:+  
"EpH02{i  
T`^Jw s{;7  
四、为 PHP5.6 进行编译
  1. cd /root/src/swoole-1.9.15
  2. /usr/bin/phpize5.6
  3. ./configure --with-php-config=/usr/bin/php-config5.6
  4. make && make install
*C55DO^w  
>)D=PvGlmp  
五、添加 PHP7.1 配置文件
  1. cd /etc/php/7.1/fpm/conf.d/
  2. touch swoole.ini
  3. echo "extension=swoole.so" | tee -a swoole.ini
\dQc!)&C9  
Fug4u?-n  
六、添加 PHP5.6 配置文件
  1. cd /etc/php/5.6/fpm/conf.d/
  2. touch swoole.ini
  3. echo "extension=swoole.so" | tee -a swoole.ini
uG -+&MU?  
U`[viH>K  
|[~ S&  
a=W%x{  
七,重启 PHP-FPM
  1. systemctl restart php7.1-fpm
  2. systemctl restart php5.6-fpm
 3*Q=)}  
本帖最近评分记录: 1 条评分 云币 +1
光山居士 云币 +1 你懂的! 2017-08-30
级别: 论坛版主
发帖
2650
云币
7245
只看该作者 沙发  发表于: 2017-08-30
你懂的!
级别: 菜鸟
发帖
55
云币
87
只看该作者 板凳  发表于: 2017-08-31
ReUbuntu 下为单版本和多版本 PHP 安装扩展
我不懂。。。
级别: 论坛版主
发帖
9289
云币
14032
只看该作者 地板  发表于: 2017-08-31
回 2楼(无神) 的帖子
不懂什么?
级别: 菜鸟
发帖
55
云币
87
只看该作者 4楼 发表于: 2017-09-01
回 3楼妙正灰的帖子
帖子我看明白了。很清晰,我回复的是楼上的,谢谢版主哦,还专门问一下
级别: 论坛版主
发帖
9289
云币
14032
只看该作者 5楼 发表于: 2017-09-02
回 4楼(无神) 的帖子
哈哈,这下我懂了
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
如果您在写长篇帖子又不马上发表,建议存为草稿
 
验证问题: 63 + 1 = ?
上一个 下一个